package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import com.xhkjedu.sexam.vo.paper.EPaperQPointVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "e_paper_qtype_question")
@Data
public class EPaperQtypeQuestion extends BaseBean {
    @Id
    //考试试卷题型试题表
    private Integer eptqid;

    //考试试卷题型表id
    private Integer eptid;

    //考试试卷表id
    private Integer epid;

    //试题id
    private String questionid;

    //试题分值
    private Double score;

    //试题排序
    private Integer order;

    //试题处理题型
    @Transient
    private Integer ctype;

    //试题题型
    @Transient
    private String qtypeid;

    //试题题型名称
    @Transient
    private String qtypename;

    //难易度
    @Transient
    private Integer complexity;

    //试题关联知识点
    @Transient
    private List<EPaperQPointVo> points = new ArrayList<>();

}