package com.xhkjedu.sexam.controller.paper;

import com.xhkjedu.sexam.model.paper.EPaper;
import com.xhkjedu.sexam.model.paper.EPaperScantron;
import com.xhkjedu.sexam.service.paper.EPaperScantronService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/escan")
public class EPaperScantronController {
    @Resource
    private EPaperScantronService ePaperScantronService;

    //获取制作答题卡需要的试卷信息
    @PostMapping("/pqs")
    public ResultVo getPaperAndQuesitons(@RequestBody EPaperScantron eSubjectScantron) {
        N_Utils.validation(new Object[]{eSubjectScantron.getEpid(),"试卷id",1});
        Map rtn = ePaperScantronService.getPaperAndQuesitons(eSubjectScantron.getEpid());
        return new ResultVo(0,"获取成功",rtn);
    }

    //保存答题卡
    @PostMapping("/save")
    public ResultVo save(@RequestBody EPaper epaper) {
        ePaperScantronService.savePaperScantron(epaper);
        return new ResultVo(0,"保存成功");
    }


}
