package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.List;

@Table(name = "e_paper_scantron")
@Data
public class EPaperScantron extends BaseBean {
    @Id
    //试卷科目答题卡表
    private Integer escanid;

    //考试科目id
    private Integer esid;

    //考试试卷id
    private Integer epid;

    //试题处理题型
    private Integer ctype;

    //试卷中生成的试题id
    private Integer questionid;

    //选项数量
    private Integer optionnum;

    //试题坐标
    private String coord;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //二维坐标数组字符串
    private List<String> coordlist;
}